### Hierarchy

- ThemeRegistryItemExtras

## Index

### Properties

- alternate
- key
- mode
- name

## Properties

### Optional alternate

alternate: undefined | string

- Defined in registries/ThemeRegistry.ts:29

Sometimes a user wants to switch to the light/dark version of the same theme. This property has the slug of that theme. For example, if this is a light theme, this property will have the slug of the dark version, and vice versa.

### key

key: string

- Defined in registries/ThemeRegistry.ts:31

### mode

mode: "light" | "dark"

- Defined in registries/ThemeRegistry.ts:22

Theme mode: Either light or dark.

### name

name: string

- Defined in registries/ThemeRegistry.ts:17

Name of theme.

We put it in meta so we can show the name in menu een without downloading the whole theme.

Generated using TypeDoc